require 'savon'

module DegreeConverter

  class Converter
    def initialize
      @client = Savon.client do
          wsdl 'http://www.webservicex.net/ConvertTemperature.asmx?wsdl'
          convert_request_keys_to :camelcase
          open_timeout 10
          read_timeout 10
          log false
      end
    end
    def convert( temperature, from, to )
      response = @client.call(:convert_temp, message: { temperature: temperature, from_unit: from, to_unit: to })
      result   = response.body[:convert_temp_response][:convert_temp_result]
      result
    end
  end

end
